use super::*;

#[derive(Debug)]
pub struct JsonFormatter;

impl Format for JsonFormatter
{
    fn encode<W: io::Write>(_cfg: &Config, to: W, obj: &Object) -> Result<usize, ErrorKind> {
	let mut to = to.with_counter();
	serde_json::to_writer(&mut to, obj)?;
	Ok(to.count())
    }
    fn decode<R: io::Read>(_cfg: &Config, mut from: R) -> Result<Object, ErrorKind> {
	Ok(serde_json::from_reader(&mut from)?)
    }
}
